/**
 * \file rvc/dbttri.h
 * \brief interface for the RVC::DBASE_TINTRIANGLE class.
 *
 * \if NODOC
 * $Id: dbttri.h_v 1.10 2010/05/12 21:09:51 mju Exp $
 *
 * $Log: dbttri.h_v $
 * Revision 1.10  2010/05/12 21:09:51  mju
 * Simplify to just ctor and specify parent objtype when construct base.
 *
 * Revision 1.1  2001/05/25 19:23:29  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DBTTRI_H
#define INC_RVC_DBTTRI_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_TIN objects.
class DBASE_TINTRIANGLE : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_TINTRIANGLE (
			): DBASE_ELEMENT(OBJTYPE_TIN,ELEMTYPE_Triangle) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBTTRI_H
